Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordmapping
Class RecordSaxSource

    java.lang.Object
      com.servingxml.io.saxsource.AbstractSaxSource
          com.servingxml.components.recordmapping.RecordSaxSource

All Implemented Interfaces:
  SaxSource

    public class RecordSaxSource

extends AbstractSaxSource
implements SaxSource

A `RecordSaxSource` implements SaxSource.

Constructor Summary
`RecordSaxSource(org.xml.sax.XMLReader reader, Expirable expirable, Key key, javax.xml.transform.TransformerFactory transformerFactory)`

Method Summary
`org.xml.sax.XMLReader` | `createXmlReader()`
`Expirable` | `getExpirable()`
`Key` | `getKey()`
`java.lang.String` | `getSystemId()`
`java.lang.String` | `toString()`

Methods inherited from class com.servingxml.io.saxsource.AbstractSaxSource
`getDefaultOutputProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.servingxml.io.saxsource.SaxSource
`getDefaultOutputProperties`

Constructor Detail

### RecordSaxSource

    public RecordSaxSource(org.xml.sax.XMLReader reader,
                           Expirable expirable,
                           Key key,
                           javax.xml.transform.TransformerFactory transformerFactory)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractSaxSource`

### getExpirable

    public Expirable getExpirable()

  Specified by:
    `getExpirable` in interface `SaxSource`

### createXmlReader

    public org.xml.sax.XMLReader createXmlReader()

  Specified by:
    `createXmlReader` in interface `SaxSource`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `SaxSource`

### getKey

    public Key getKey()

  Specified by:
    `getKey` in interface `SaxSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD